Skip to main content
 首页 » 编程设计

第一章:SpringCloud for Alibaba 环境准备、版本统一

2023年04月30日48tintown

1.1 环境准备

在使用 SpringCloud for Alibaba 之前,需要先准备好以下环境:

- JDK 1.8 及以上版本

- Maven 3.5 及以上版本

- Docker 18.09 及以上版本(可选)

- Kubernetes 1.8 及以上版本(可选)

1.2 版本统一

在使用 SpringCloud for Alibaba 时,需要注意版本的统一。以下是 SpringCloud for Alibaba 的版本对应关系:

| Spring Cloud Alibaba 版本 | Spring Boot 版本 |

| ------------------------ | ---------------- |

| 2.2.x.RELEASE | 2.2.x.RELEASE |

| 2.1.x.RELEASE | 2.1.x.RELEASE |

| 2.0.x.RELEASE | 2.0.x.RELEASE |

在使用时,需要将 SpringCloud for Alibaba 的版本与 Spring Boot 版本对应起来,以避免出现不兼容的情况。同时,也需要注意其他依赖库的版本与 SpringCloud for Alibaba 的版本兼容性。